<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Mezze
 * @since Mezze 1.0.0
 */

$options = mezze_get_theme_options();
$read_more = ! empty( $options['read_more_text'] ) ? $options['read_more_text'] : esc_html__( 'Read Full Article', 'mezze' );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="post-wrapper">
        <?php if ( has_post_thumbnail() ) : ?>
            <div class="featured-image">
                <a href="<?php the_permalink(); ?>">
                    <?php the_post_thumbnail( $size = 'large', array( 'alt' => the_title_attribute( 'echo=0' ) ) ); ?>
                </a>
            </div><!-- .featured-image -->
        <?php endif; ?>

        <div class="entry-container">
            <span class="cat-links">
                <?php echo mezze_article_footer_meta(); ?>
            </span>

            <header class="entry-header">
                <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
            </header>

            <div class="entry-content">
                <?php the_excerpt(); ?>
            </div><!-- .entry-content -->

            <a href="<?php the_permalink(); ?>" class="more-link"><?php echo esc_html( $read_more ); ?><span class="icon"></span></a>
        </div><!-- .entry-container -->
    </div><!-- .post-wrapper -->

</article><!-- #post-## -->
